#include <vector>
#include <algorithm>
#include <cstdio>
using namespace std;

int get(int n, int m)
{
    int cur = 2 * n * m + n + m;
    int x = 1, y = 1;
    int dx = 1, dy = 0;
    while (x <= m && y <= n)
    {
        x += dx, y += dy;
        swap(dx, dy);
        cur--;
    }
    return cur;
}

int main()
{
    int x;
    scanf("%d", &x);
    vector<pair<int, int> > ans;
    for (int n = 1; n <= x / 3 + 5; n++)
        for (int m = 1; m <= x / 3 + 5; m++)
        {
            if (get(n, m) == x)
                ans.push_back(make_pair(n, m));
        }
    printf("%d\n", ans.size());
    for (int i = 0; i < ans.size(); i++)
        printf("%d %d\n", ans[i].first, ans[i].second);
    return 0;
}
