#include <cstdio>

#include "valuer.h"

using namespace NValuer;

int main()
{
    TValuer valuer(TValuer::FullScore, 40);
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 1, 2, 0));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 3, 18, 20));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 19, 26, 20));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 27, 42, 60), TValuer::Offline);

    if (!valuer.Ok(100)) {
        return 43;
    }

    TEjudgeCheckResultParser parser;
    printf("%d %d %d %d", valuer.CalcScore(parser), -1,  valuer.CalcScore(parser, true), -1);

    return 0;
}

