#include <memory.h>
#include <algorithm>
#include <cstdio>
using namespace std;

const int N = 300;

int A[N][N];

const int K = 5042;
int D[K];

int G[K], S[K], E[K];

int n, m, h;
#define prev erwerwvw
int prev[K];

int main()
{
    scanf("%d %d %d", &n, &m, &h);
    for (int i = 1; i <= m; i++)
        for (int j = 1; j <= m; j++)
            scanf("%d", &A[i][j]);

    for (int k = 1; k <= m; k++)
        for (int i = 1; i <= m; i++)
            for (int j = 1; j <= m; j++)
                A[i][j] = min(A[i][j], A[i][k] + A[k][j]);
    D[0] = 0;
    for (int i = 1; i <= h; i++)
        scanf("%d %d %d", &G[i], &S[i], &E[i]);

    for (int i = 1; i + 1 <= h; i++)
        for (int j = 1; j + i <= h; j++)
            if (E[j] > E[j + 1])
                swap(G[j], G[j + 1]), swap(E[j], E[j + 1]), swap(S[j], S[j + 1]);

    int ans = 0;
    int last = -1;
    memset(prev, -1, sizeof(prev));
    for (int k = 1; k <= h; k++)
    {
        if (S[k] >= 1 + A[1][G[k]])
        {
            D[k] = 1;
            for (int p = 1; p < k; p++)
                if (E[p] + A[G[p]][G[k]] <= S[k] && D[k] <= D[p])
                {
                    D[k] = 1 + D[p];
                    prev[k] = p;
                }
            if (E[k] + A[G[k]][1] <= n)
            {
                if (ans < D[k])
                    ans = D[k], last = k;
            }
        }
        else
            D[k] = -1e5;
    }
    while (last != -1)
    {
        fprintf(stderr, "%d %d %d\n", S[last], E[last], G[last]);
        last = prev[last];
    }
    printf("%d\n", ans);
    return 0;
}
