#include <iostream>
#include <algorithm>
#include <vector>
using namespace std;
#define pb push_back
#define mp make_pair
#define fs first
#define sc second
#define sz(a) ((int) (a).size())

const int N = 1000 + 10;
const int K = (int) 1e5 + 10;
const int M = (int) 1e6 + 10;
const int inf = (int) 1e9;
int n, m, w[K + 1], c[N], a[N], b[N], q_s[M], q_k[M], q_l[M];
bool ans[M];

int main() {
	cin >> n;
	vector< pair<int, int> > e;
	for (int i = 0; i < n; ++i) {
		cin >> c[i] >> a[i] >> b[i];
		e.pb(mp(a[i], -(i + 1)));
		e.pb(mp(b[i], -(i + 1)));
	}
	cin >> m;
	for (int i = 0; i < m; ++i) {
		cin >> q_s[i] >> q_k[i] >> q_l[i];
		e.pb(mp(q_s[i], i + 1));
	}
	sort(e.begin(), e.end());
	w[0] = inf;
	for (int i = 0; i < sz(e); ++i) {
		if (e[i].sc > 0) {
			int j = e[i].sc - 1;
			ans[j] = w[q_k[j]] > q_s[j] + q_l[j];
			continue;
		}
 		int j = (-e[i].sc) - 1;
 		if (e[i].fs == a[j]) {
 			for (int cur = K - c[j]; cur >= 0; --cur)
 				w[cur + c[j]] = max(w[cur + c[j]], min(w[cur], b[j]));
 		} else {
 			for (int cur = 0; cur <= K; ++cur)
 				if (w[cur] == b[j])
 					w[cur] = 0;
 		}
	}
	for (int i = 0; i < m; ++i)
		cout << (ans[i] ? "YES" : "NO") << '\n';
	return 0;
}
