#include <cstdio>

#include "valuer.h"

using namespace NValuer;

int main()
{
    TValuer valuer(TValuer::FullScore, 100);
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 1, 3, 0));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 4, 6, 30));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 7, 9, 30));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 10, 15, 40));

    if (!valuer.Ok(100)) {
        return 43;
    }

    TEjudgeCheckResultParser parser;
    printf("%d", valuer.CalcScore(parser));

    return 0;
}
